Submitted By: Tushar Teredesai <tushar@linuxfromscratch.org>
Date: 2003-10-03
Initial Package Version: 1.4.1
Origin: None
Description: Removes duplicate intl messages which cause compilation to fail with recent gettext versions.
--- Build.orig/j2se/ext/plugin/oji-plugin/src/motif/resources/zh_TW/sunw_java_plugin.po	2002-09-06 02:31:47.000000000 -0500
+++ Build/j2se/ext/plugin/oji-plugin/src/motif/resources/zh_TW/sunw_java_plugin.po	2003-01-13 09:41:22.000000000 -0600
@@ -21,8 +21,9 @@
 msgstr "plugin: java á£Ê©ÄØÇÞØ¹æÀÈÔäÚ"
 msgid  "  a core file was generated"
 msgstr "  ÄØÜ¨ÆíÕøÅÀóòÕù"
-msgid  "Plugin: trouble with work request from child"
-msgstr "Plugin: ÄÍùËÉ±ÍÔÓÑÊåÎûÄÖÉ¢àõÆíÙÂ÷î"
+# Extra messages. Deleted by Tushar Teredesai <tush@yahoo.com>
+#msgid  "Plugin: trouble with work request from child"
+#msgstr "Plugin: ÄÍùËÉ±ÍÔÓÑÊåÎûÄÖÉ¢àõÆíÙÂ÷î"
 msgid  "Plugin: can't find IP address for current host"
 msgstr "Plugin: ÊÆÄâÌ¯ÆøÐ©Åäñ¢Îû IP ÈíÉß"
 msgid  "Plugin: trouble reading Netscape proxy  configuration URL from\n"
--- Build.orig/j2se/ext/plugin/oji-plugin/src/motif/resources/zh_TW.BIG5/sunw_java_plugin.po	2002-09-06 02:31:47.000000000 -0500
+++ Build/j2se/ext/plugin/oji-plugin/src/motif/resources/zh_TW.BIG5/sunw_java_plugin.po	2003-01-13 09:41:55.000000000 -0600
@@ -21,8 +21,9 @@
 msgstr "plugin: java 程序已因訊號而毀"
 msgid  "  a core file was generated"
 msgstr "  已產生核心檔案"
-msgid  "Plugin: trouble with work request from child"
-msgstr "Plugin: 子類別所要求的工作發生問題"
+# Extra messages. Removed by Tushar Teredesai <tush@yahoo.com>
+#msgid  "Plugin: trouble with work request from child"
+#msgstr "Plugin: 子類別所要求的工作發生問題"
 msgid  "Plugin: can't find IP address for current host"
 msgstr "Plugin: 找不到目前主機的 IP 位址"
 msgid  "Plugin: trouble reading Netscape proxy  configuration URL from\n"